import pandas as pd
import numpy as np
import argparse

# Generate data growth analysis results for two time periods
# Just need to modify csv1_path, csv2_path, result_name
# Just change the parameters here
parser = argparse.ArgumentParser()
parser.add_argument('--csv1_path', default='0618.csv', type=str)
parser.add_argument('--csv2_path', default='0621.csv', type=str)
parser.add_argument('--sort_values', default='project path', type=str)
parser.add_argument('--result_name', default='weekly_growth1.csv', type=str)
parser.add_argument('--calc_index', default=['notification count', 'star count'], type=list)
args = parser.parse_args()

csv1 = pd.read_csv(args.csv1_path)
csv2 = pd.read_csv(args.csv2_path)


csv1 = csv1.sort_values(args.sort_values)
csv2 = csv2.sort_values(args.sort_values)


projectNames1 = []
for i in range(len(csv1)):
    projectNames1.append(csv1.iloc[i, 0])

projectNames2 = []
for i in range(len(csv2)):
    projectNames2.append(csv2.iloc[i, 0])


in2notin1 = []
for i in range(len(csv2)):
    if not csv2.iloc[i, 0] in projectNames1:
        in2notin1.append(csv2.iloc[i, 0])


for name in in2notin1:
    csv2.drop(csv2[csv2['project path'] == name].index, inplace=True)

in1notin2 = []
for i in range(len(csv1)):
    if not csv1.iloc[i, 0] in projectNames2:
        in1notin2.append(csv1.iloc[i, 0])

for name in in1notin2:
    csv1.drop(csv1[csv1['project path'] == name].index, inplace=True)


for i in range(len(csv1)):
    if csv1.iloc[i, 0] == csv2.iloc[i, 0]:
        continue
    print(i, csv1.iloc[i, 0], csv2.iloc[i, 0])


csv1.index = np.asarray(list(range(0, len(csv1))))
csv2.index = np.asarray(list(range(0, len(csv1))))

# One week data growth calculation
calculation_list = args.calc_index
for calc_index in calculation_list:
    sub = csv2[calc_index] - csv1[calc_index]
    csv1[calc_index] = sub


csv1.to_csv(args.result_name, index=False)