import yaml
import pandas as pd
import argparse


# Featured projects for updating the explore page
# Just need to modify result_name
# Just change the parameters here
parser = argparse.ArgumentParser()
parser.add_argument('--index_yml', default='/home/mao/Downloads/operation-work/explore/index.yml', type=str)
parser.add_argument('--sort_values', default='notification count', type=str)
parser.add_argument('--result_name', default='weekly_growth1.csv', type=str)
parser.add_argument('--use_cols', default=['project path', 'project url', 'notification count', 'star count'], type=list)
args = parser.parse_args()

with open(args.index_yml, 'r', encoding='utf-8') as stream:
    try:
        parse_yml = yaml.safe_load(stream)
        print(parse_yml)
    except yaml.YAMLError as exec:
        print(exec)


csv = pd.read_csv(args.result_name, usecols=args.use_cols)
csv = csv.sort_values(args.sort_values, ascending=False)

count = 0
for i in range(1000):
    if csv.iloc[i, 0] in parse_yml['projects']:
        continue
    parse_yml['projects'][count] = csv.iloc[i, 0]
    count += 1
    if count == 25:
        break


with open(args.index_yml, 'w', encoding='utf-8') as stream:
    try:
        yaml.safe_dump(parse_yml, stream)
    except yaml.YAMLError as exec:
        print(exec)